Subject: RE: bug#842: 23.0.60; find-file prompt is case sensitive on w32

From: "Drew Adams" <[email-masked]>
Date: Sun, 31 Aug 2008 15:34:10 -0700

> Try for example
> 
>   C-x C-f cha TAB
> 
> in emacs/src.
> 
> This should be case insensitive on w32 since the file system is case
> insensitive.
> 
> 
> In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
>  of 2008-08-29
> Windowing system distributor `Microsoft Corp.', version 5.1.2600
> configured using `configure --with-gcc (3.4) --no-opt --cflags
> -Ic:/g/include -fno-crossjumping'

I don't see that. emacs -Q with:

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-08-29 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/g/include
-fno-crossjumping'

I dont' have a src directory, but I tried it in a directory with uppercase,
lowercase, and mixed case files, and C-x C-f is case insensitive.

HTH.